Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.ereignis
Class Ereignisanwendung

    java.lang.Object
      sum.ereignis.Ereignisanwendung

All Implemented Interfaces:
  Serializable, Runnable

Direct Known Subclasses:
  EBAnwendung

    public class Ereignisanwendung

extends Object
implements Runnable, Serializable

Eine Ereignisanwendung ist der Prototyp einer Anwendung, die auf die Standardereignisse der Maus und der Tastatur reagiert. Sie besitzt bereits einen Bildschirm, eine Maus und eine Tastatur. Anfallende Ereignisse werden einzeln einer zugehoerigen Bearbeitungsmethode uebergeben. Unabhaengig davon koennen zwischendurch andere Ereignisse bearbeitet werden.

Version:
  7.3 vom 11.10.2011
Author:
  Bernard Schriek
See Also:
  Serialized Form

Field Summary
`Bildschirm` | `hatBildschirm`
`static Ereignisanwendung` | `hatSuMPrivateAnwendung`

Constructor Summary
`Ereignisanwendung()` Die Anwendung wird initialisiert.
`Ereignisanwendung(boolean pMitDoubleBuffering)` Die Anwendung wird initialisiert.
`Ereignisanwendung(int pBreite, int pHoehe)` Die Anwendung wird initialisiert.
`Ereignisanwendung(int pBreite, int pHoehe, boolean pMitDoubleBuffering)` Die Anwendung wird initialisiert.
`Ereignisanwendung(int pLinks, int pOben, int pBreite, int pHoehe)` Die Anwendung wird initialisiert.
`Ereignisanwendung(int pLinks, int pOben, int pBreite, int pHoehe, boolean pMitDoubleBuffering)` Die Anwendung wird initialisiert.

Method Summary
`void` | `bearbeiteDoppelKlick(int pWoH, int pWoV)` Die Maustaste ist doppelt gedrueckt worden (DoppelKlick).
`void` | `bearbeiteFokusErhalten()` Das Fenster hat den Fokus erhalten.
`void` | `bearbeiteFokusVerloren()` Das Fenster hat den Fokus verloren.
`void` | `bearbeiteLeerlauf()` Kein spezielles Ereignis ist eingetreten (Idle).
`void` | `bearbeiteMausBewegt(int pWohinH, int pWohinV)` Die Maust ist bewegt worden.
`void` | `bearbeiteMausDruck(int pWoH, int pWoV)` Die Maustaste ist gedrueckt worden.
`void` | `bearbeiteMausLos(int pWoH, int pWoV)` Die Maustaste ist losgelassen worden.
`void` | `bearbeiteTaste(char pZeichen)` Eine Taste ist gedrueckt worden.
`void` | `bearbeiteUpdate()` Das Fenster wird neu gezeichnet.
`void` | `beenden()` Die Ereignisanwendung wird beendet. das zugehoerige fenster wird geschlossen.
`boolean` | `besitztFokus()` Liefert die Information, ob der Bildschirm den Fokus besitzt.
`Bildschirm` | `bildschirm()` Der Bildschirm der Ereignisanwendung wird zurueckgegeben.
`void` | `fuehreAus()` Der Ereignisanwendung beginnt auf Ereignisse zu reagieren.
`protected boolean` | `fuehrtAus()` wird intern aufgerufen.
`void` | `gibFrei()` aus Kompatibilitaetsgruenden
`protected void` | `halteAn()` Der Ereignisanwendung beendet die Reaktion auf Ereignisse.
`protected void` | `melde(String s)` Dient nur zum eventuellen Debuggen der Ereignisanwendung.
`void` | `run()` Die Ereignisanwendung arbeitet und reagiert auf Ereignisse, indem sie die entsprechenden Bearbeite-Dienste aufruft.
`void` | `setzeFokus()` Der Bildschirm erhaelt den Fokus.
`protected void` | `warte(long pMillisekunden)` Das Ereignisanwendung pausiert für pMillisekunden Millisekunden.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hatBildschirm

    public Bildschirm hatBildschirm

### hatSuMPrivateAnwendung

    public static Ereignisanwendung hatSuMPrivateAnwendung

Constructor Detail

### Ereignisanwendung

    public Ereignisanwendung()

  Die Anwendung wird initialisiert. Sie besitzt einen Bildschirm, eine Tastatur und eine Maus, die alle initialisiert sind.

### Ereignisanwendung

    public Ereignisanwendung(boolean pMitDoubleBuffering)

  Die Anwendung wird initialisiert. Sie besitzt einen Bildschirm, eine Tastatur und eine Maus, die alle initialisiert sind.

  Parameters:
    `pMitDoubleBuffering` - soll der Bildschirm gepuffert werden

### Ereignisanwendung

    public Ereignisanwendung(int pBreite,
                             int pHoehe)

  Die Anwendung wird initialisiert. Sie besitzt einen Bildschirm, eine Tastatur und eine Maus, die alle initialisiert sind. Das zugehoerige Fenster sowie Breite und Hoehe des Fensters werden als Parameter uebergeben.

  Parameters:
    `pBreite` - die Breite des zugehoerigen Fensters
    `pHoehe` - die Hoehe des zugehoerigen Fensters

### Ereignisanwendung

    public Ereignisanwendung(int pBreite,
                             int pHoehe,
                             boolean pMitDoubleBuffering)

  Die Anwendung wird initialisiert. Sie besitzt einen Bildschirm, eine Tastatur und eine Maus, die alle initialisiert sind. Das zugehoerige Fenster sowie Breite und Hoehe des Fensters werden als Parameter uebergeben.

  Parameters:
    `pBreite` - die Breite des zugehoerigen Fensters
    `pHoehe` - die Hoehe des zugehoerigen Fensters
    `pMitDoubleBuffering` - soll der Bildschirm gepuffert werden

### Ereignisanwendung

    public Ereignisanwendung(int pLinks,
                             int pOben,
                             int pBreite,
                             int pHoehe)

  Die Anwendung wird initialisiert. Sie besitzt einen Bildschirm, eine Tastatur und eine Maus, die alle initialisiert sind. Das zugehoerige Fenster sowie die linke obere Ecke und Breite und Hoehe des Fensters werden als Parameter uebergeben.

  Parameters:
    `pLinks` - der Abstand des zugehoerigen Fensters vom linken Bildschirmrand
    `pOben` - der Abstand des zugehoerigen Fensters vom oberen Bildschirmrand
    `pBreite` - die Breite des zugehoerigen Fensters
    `pHoehe` - die Hoehe des zugehoerigen Fensters

### Ereignisanwendung

    public Ereignisanwendung(int pLinks,
                             int pOben,
                             int pBreite,
                             int pHoehe,
                             boolean pMitDoubleBuffering)

  Die Anwendung wird initialisiert. Sie besitzt einen Bildschirm, eine Tastatur und eine Maus, die alle initialisiert sind. Das zugehoerige Fenster sowie die linke obere Ecke und Breite und Hoehe des Fensters werden als Parameter uebergeben.

  Parameters:
    `pLinks` - der Abstand des zugehoerigen Fensters vom linken Bildschirmrand
    `pOben` - der Abstand des zugehoerigen Fensters vom oberen Bildschirmrand
    `pBreite` - die Breite des zugehoerigen Fensters
    `pHoehe` - die Hoehe des zugehoerigen Fensters
    `pMitDoubleBuffering` - soll der Bildschirm gepuffert werden

Method Detail

### bearbeiteDoppelKlick

    public void bearbeiteDoppelKlick(int pWoH,
                                     int pWoV)

  Die Maustaste ist doppelt gedrueckt worden (DoppelKlick). Die Koordinaten werden als Parameter uebergeben. Diese Methode sollte ueberschrieben werden.

  Parameters:
    `pWoH` - die horizontale Position der Maus beim Doppelklick
    `pWoV` - die vertikale Position der Maus beim Doppelklick

### bearbeiteFokusErhalten

    public void bearbeiteFokusErhalten()

  Das Fenster hat den Fokus erhalten. Diese Methode sollte ueberschrieben werden.

### bearbeiteFokusVerloren

    public void bearbeiteFokusVerloren()

  Das Fenster hat den Fokus verloren. Diese Methode sollte ueberschrieben werden.

### bearbeiteLeerlauf

    public void bearbeiteLeerlauf()

  Kein spezielles Ereignis ist eingetreten (Idle). Diese Methode sollte ueberschrieben werden.

### bearbeiteMausBewegt

    public void bearbeiteMausBewegt(int pWohinH,
                                    int pWohinV)

  Die Maust ist bewegt worden. Die neuen Koordinaten werden als Parameter uebergeben. Diese Methode sollte ueberschrieben werden.

  Parameters:
    `pWohinH` - die horizontale Position der Maus nach der Bewegung
    `pWohinV` - die vertikale Position der Maus nach der Bewegung

### bearbeiteMausDruck

    public void bearbeiteMausDruck(int pWoH,
                                   int pWoV)

  Die Maustaste ist gedrueckt worden. Die Koordinaten werden als Parameter uebergeben. Diese Methode sollte ueberschrieben werden.

  Parameters:
    `pWoH` - die horizontale Position der Maus beim Druck der Maustaste
    `pWoV` - die vertikale Position der Maus beim Druck der Maustaste

### bearbeiteMausLos

    public void bearbeiteMausLos(int pWoH,
                                 int pWoV)

  Die Maustaste ist losgelassen worden. Die Koordinaten werden als Parameter uebergeben. Diese Methode sollte ueberschrieben werden.

  Parameters:
    `pWoH` - die horizontale Position der Maus beim Loslassen der Maustaste
    `pWoV` - die vertikale Position der Maus beim Loslassen der Maustaste

### bearbeiteTaste

    public void bearbeiteTaste(char pZeichen)

  Eine Taste ist gedrueckt worden. Das entsprechende Zeichen wird als Parameter uebergeben. Diese Methode sollte ueberschrieben werden.

  Parameters:
    `pZeichen` - das Zeichen, welches eingegeben wurde

### bearbeiteUpdate

    public void bearbeiteUpdate()

  Das Fenster wird neu gezeichnet. Diese Methode sollte ueberschrieben werden.

### beenden

    public void beenden()

  Die Ereignisanwendung wird beendet. das zugehoerige fenster wird geschlossen.

### besitztFokus

    public boolean besitztFokus()

  Liefert die Information, ob der Bildschirm den Fokus besitzt.

  Returns:
    true, wenn der zugehoerige Bildschirm den Fokus besitzt.

### bildschirm

    public Bildschirm bildschirm()

  Der Bildschirm der Ereignisanwendung wird zurueckgegeben.

  Returns:
    der zugehoerige Bildschirm

### fuehreAus

    public void fuehreAus()

  Der Ereignisanwendung beginnt auf Ereignisse zu reagieren.

### fuehrtAus

    protected boolean fuehrtAus()

  wird intern aufgerufen.

### gibFrei

    public void gibFrei()

  aus Kompatibilitaetsgruenden

### halteAn

    protected void halteAn()

  Der Ereignisanwendung beendet die Reaktion auf Ereignisse.

### melde

    protected void melde(String s)

  Dient nur zum eventuellen Debuggen der Ereignisanwendung.

### run

    public void run()

  Die Ereignisanwendung arbeitet und reagiert auf Ereignisse, indem sie die entsprechenden Bearbeite-Dienste aufruft.

  Specified by:
    `run` in interface `Runnable`

### setzeFokus

    public void setzeFokus()

  Der Bildschirm erhaelt den Fokus.

### warte

    protected void warte(long pMillisekunden)

  Das Ereignisanwendung pausiert für pMillisekunden Millisekunden.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD